﻿namespace Mirea.Api.Dto.Responses;

/// <summary>
/// Represents basic information about a faculty.
/// </summary>
public class FacultyResponse
{
    /// <summary>
    /// Gets or sets the unique identifier of the faculty.
    /// </summary>
    public int Id { get; set; }

    /// <summary>
    /// Gets or sets the name of the faculty.
    /// </summary>
    public required string Name { get; set; }

    /// <summary>
    /// Gets or sets the unique identifier of the campus to which the faculty belongs (optional).
    /// </summary>
    public int? CampusId { get; set; }
}